Name:		linchpin
Version:	1.6.4
Release:	2%{?dist}
Summary:	Ansible based multicloud orchestrator

License:	GPLv3+
URL:		http://github.com/CentOS-PaaS-SIG/linch-pin
Source0:	https://github.com/CentOS-PaaS-SIG/linch-pin/archive/v%{version}.tar.gz

# From requirements.txt
BuildRequires:	openssl-devel
BuildRequires:	libyaml-devel
BuildRequires:	ansible
BuildRequires:	python3-devel
BuildRequires:	python3-boto
BuildRequires:	python3-libcloud
BuildRequires:	python3-click
BuildRequires:	python3-yamlordereddictloader
BuildRequires:	python3-six
BuildRequires:	python3-shade
BuildRequires:	python3-Naked
BuildRequires:	python3-cerberus
BuildRequires:	python3-tinydb
BuildRequires:	python3-requests
BuildRequires:	python3-pyyaml
BuildRequires:	python3-pyOpenSSL
# Build deps from setup.py
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-runner
BuildRequires:	python3-mock
BuildRequires:	python3-coverage
BuildRequires:	python3-flake8
BuildRequires:	python3-docutils
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	python3-nose
Requires:	ansible
Requires:	python3-boto
Requires:	python3-libcloud
Requires:	python3-click
Requires:	python3-yamlordereddictloader
Requires:	python3-six
Requires:	python3-shade
Requires:	python3-Naked
Requires:	python3-cerberus
Requires:	python3-tinydb
Requires:	python3-requests
Requires:	python3-pyyaml
Requires:	python3-pyOpenSSL
# Extra sub-package includes
Requires:	beaker-client
Requires:	python3-libvirt
Requires:	python3-lxml
# Not currently available in Fedora. Add it back in when it becomes available,
# and, indeed, if it does
# Requires:	python3-krbV


BuildArch:  noarch

%description
linchpin is an Ansible-based tool to stand up and tear down
resources in various cloud environments

%package doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%autosetup

for file in $(find . -name '*.py'); do
	# Delete the first line, but only if it's a shebang we don't like
	sed -i -E -e '1{/[#]!\/usr\/bin\/(env )?python/d}' "${file}"
done
# This requirement is not needed in python3
sed -i requirements.txt -e '/ipaddress/d' -e '/configparser/d'

%build
%py3_build

cd docs
make html

%install
%py3_install
# Some source files have spurious executable bits
for file in $(find "%{buildroot}/%{python3_sitelib}" -name '*.py' -executable); do
	chmod -x "${file}"
done
rm -rf "%{buildroot}%{python3_sitelib}/%{name}/tests"
rm -f "%{buildroot}%{_bindir}/"install*.sh
find "%{buildroot}" -name '.empty' -delete

# Manually install docs
mkdir -p %{buildroot}%{_docdir}/%{name}
mv docs/build/html/* %{buildroot}/%{_docdir}/%{name}

%files
%license LICENSE
%doc README.rst
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/

%files doc
%{_docdir}/%{name}

%changelog
* Mon Nov 05 2018 Greg Hellings <greg.hellings@gmail.com> - 1.6.4-2
- Renamed -docs subpackage to -doc to match guidelines and corrected
  its Requires

* Fri Nov 02 2018 Greg Hellings <greg.hellings@gmail.com> - 1.6.4-1
- Upstream release 1.6.4
- Remove configparser from requirements.txt
- Add README.rst
- Build docs, add subpackage

* Mon Sep 24 2018 Greg Hellings <greg.hellings@gmail.com> - 1.6.2-2
- Add LICENSE file
- Remove python3-krbV dependency, since it doesn't exist

* Sun Sep 23 2018 Greg Hellings <greg.hellings@gmail.com> - 1.6.2-1
- Remove files named ".empty"
- Bump to new upstream 1.6.2 release
- Remove Python tests from installed location

* Fri Sep 07 2018 Greg Hellings <greg.hellings@gmail.com> - 1.6.1-1
- Upstream version 1.6.1

* Fri Sep 07 2018 Greg Hellings <greg.hellings@gmail.com> - 1.5.4-2
- Change to Python3 for Ansible's update

* Fri Aug 03 2018 Greg Hellings <greg.hellings@gmail.com> - 1.5.4-1
- Upstream has surpassed the 1.0 goal
- Packages are re-aligned under a common library prefix
- Dependencies updated to match upstream

* Mon Apr 03 2017 Greg Hellings <greg.hellings@gmail.com> - 0.9.1-2
- Adding install dependencies
- Tweak beaker client requirements

* Mon Mar 27 2017 Greg Hellings <greg.hellings@gmail.com> - 0.9.1-1
- Upstream version 0.9.1
- Changed download URL to be permanent

* Tue Jan 24 2017 Greg Hellings <greg.hellings@gmail.com> - 0.8.2-1
- First upstream release
